<template>
  <div class="curriculum-section">
    <div class="row">
      <div v-if="undergrad_data" class="left">
        <FileList :header="undergrad_data.title" :data="undergrad_data.files" />
      </div>

      <div v-if="postgrad_data" class="right">
        <FileList :header="postgrad_data.title" :data="postgrad_data.files" />
      </div>
    </div>
  </div>
</template>

<script>
import _ from "lodash";

export default {
  props: {
    program_data: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  computed: {
    undergrad_data() {
      const curriculum_undergrad =
        _.get(this.program_data, "curriculum_undergrad.data.attributes") || {};

      if (!curriculum_undergrad.url) return null;

      const data = {
        title: this.program_data.curriculum_undergrad_header,
        files: [
          {
            name: curriculum_undergrad.name,
            file: process.env.api_url + curriculum_undergrad.url,
          },
        ],
      };

      return data;
    },
    postgrad_data() {
      const curriculum_postgrad =
        _.get(this.program_data, "curriculum_postgrad.data.attributes") || {};

      if (!curriculum_postgrad.url) return null;

      const data = {
        title: this.program_data.curriculum_postgrad_header,
        files: [
          {
            name: curriculum_postgrad.name,
            file: process.env.api_url + curriculum_postgrad.url,
          },
        ],
      };

      return data;
    },
  },
};
</script>

<style lang="scss" scoped>
.curriculum-section {
  border-top: 1px solid $color-primary-500;
  .row {
    display: flex;
    @include media-breakpoint(mobile) {
      display: block;
    }
    > div {
      flex: 1;
      padding: 80px;
      @include media-breakpoint(mobile) {
        padding: 40px 24px;
      }
    }
    .left {
      border-right: 1px solid $color-primary-500;
      @include media-breakpoint(mobile) {
        border-right: 0;
        border-bottom: 1px solid $color-primary-500;
      }
    }
  }
}
</style>
